FUSE_DESTROY(3)

NAME
fuse_destroy - free memory associated with a FUSE handle

SYNOPSIS
#include <fuse.h>
void
fuse_destroy(struct fuse *f);

DESCRIPTION
fuse_destroy() closes the FUSE device and frees memory associated with the FUSE channel and FUSE handle specified by f.

This function does not unmount the file system, which should be done with fuse_unmount(3) before calling this function.

SEE ALSO
fuse_new(3), fuse_teardown(3), fuse_unmount(3)

STANDARDS
The fuse_destroy() function conforms to FUSE 2.6.

HISTORY
The fuse_destroy() function first appeared in OpenBSD 5.4.

AUTHORS
Sylvestre Gallon <ccna.syl@gmail.com> Helg Bredow <helg@openbsd.org>